Index: terepaima-0.4.16/debian/qpdfview.xpm
===================================================================
--- terepaima-0.4.16/debian/qpdfview.xpm	(revision 4019fdbdfa8358e3d8222c8c9c544c4c59280386)
+++ terepaima-0.4.16/debian/qpdfview.xpm	(revision 4019fdbdfa8358e3d8222c8c9c544c4c59280386)
@@ -0,0 +1,141 @@
+/* XPM */
+static char *qpdfview[] = {
+/* columns rows colors chars-per-pixel */
+"32 32 103 2 ",
+"   c #772277227722",
+".  c #7A9B7A9B7A9B",
+"X  c #64F48A15B5DF",
+"o  c #74DA9647BD3B",
+"O  c #7B3B99F4BF1D",
+"+  c #7BF59BB9C218",
+"@  c #8DCB8DCB8DCB",
+"#  c #8B3993EF9D7D",
+"$  c #93F993F993FA",
+"%  c #983896FB9569",
+"&  c #9A4F98FB9729",
+"*  c #9C1A9C099BE0",
+"=  c #85BE8FE6A58F",
+"-  c #8CA894B1A3AF",
+";  c #944A99B5A341",
+":  c #94EA9CB4AD81",
+">  c #9482A626B82F",
+",  c #A423A411A3B8",
+"<  c #A65BA98BAF85",
+"1  c #ABEAABEBABD8",
+"2  c #A53BAC9EB50C",
+"3  c #A379AC68BCCD",
+"4  c #B507B4C7B472",
+"5  c #B8A7B8A9B82C",
+"6  c #BC87BC72BC38",
+"7  c #C094C02BBF13",
+"8  c #C0A0C080BFF5",
+"9  c #81B29E6FC22E",
+"0  c #85A5A356C679",
+"q  c #8926A47CC54C",
+"w  c #8EF4A8C8C7C8",
+"e  c #8CFFA815C8CF",
+"r  c #8CEEAA79CC8C",
+"t  c #994FA6C6C041",
+"y  c #9502AB8AC454",
+"u  c #9326AC7CCB1A",
+"i  c #99C5AFBECA98",
+"p  c #97A6B1E4CDE2",
+"a  c #9C75B2B4CBF3",
+"s  c #921CAFBED151",
+"d  c #9748B28ED243",
+"f  c #9BDDB744D474",
+"g  c #9DEBB9E8D631",
+"h  c #9A51B8F2D9AB",
+"j  c #A389B4E2C7A9",
+"k  c #A28FB704CA3D",
+"l  c #A6E5BAF8CE3E",
+"z  c #A8ECBBB2CDC0",
+"x  c #B2BDBDF5CA8F",
+"c  c #A3FABA99D4DA",
+"v  c #A9C2BF7ED707",
+"b  c #A1F2BC5CD934",
+"n  c #B012C78EC959",
+"m  c #B2EFCA5BCB62",
+"M  c #BE1ED196CCEE",
+"N  c #AD18C15AD6C2",
+"B  c #ABE7C2D2DAE6",
+"V  c #B1EBC1B1D474",
+"C  c #BBD1C774D5B2",
+"Z  c #B2D1C5B4DAA5",
+"A  c #B8A0C802DA58",
+"S  c #B53DC8E8DFDD",
+"D  c #BBE4CB02DBA3",
+"F  c #BBC0CCBDE0D9",
+"G  c #C48BC4A4C46A",
+"H  c #C86AC7CDC5C8",
+"J  c #C60EC863C6EB",
+"K  c #C9BDC944C7D7",
+"L  c #C463C720CA34",
+"P  c #C700C9BECCAB",
+"I  c #CD5BCD33CCBC",
+"U  c #CA81D7AFC616",
+"Y  c #C21ED488CA7E",
+"T  c #D1CED179D02E",
+"R  c #C2F8CB30D579",
+"E  c #CC78CF9ED347",
+"W  c #C1EBCDC0DB2A",
+"Q  c #CDB5D1BFD648",
+"!  c #C41CD0DADECC",
+"~  c #CB66D29EDC11",
+"^  c #D3BAD3CDD3E3",
+"/  c #D8D4D809D72E",
+"(  c #D980D8DCD7BF",
+")  c #D462D6E5DA27",
+"_  c #D60EDA7FE00A",
+"`  c #DCBFDCC8DCCD",
+"'  c #EA31EFACD88A",
+"]  c #C545D399E3BF",
+"[  c #CAE5D7B5E627",
+"{  c #CE21D94FE553",
+"}  c #CBCBDABCEA9C",
+"|  c #D400DCABE693",
+" . c #D2D3DDC0E9F2",
+".. c #D7F3E229EDAC",
+"X. c #DBCFE4D0EEB1",
+"o. c #E46DE464E457",
+"O. c #E8DFE831E70A",
+"+. c #EAA7EA04E867",
+"@. c #EC2CEC2BEC29",
+"#. c #F527F6CBE825",
+"$. c #E1FAE97CF28D",
+"%. c #F387F387F387",
+"&. c #FFCAFFCAFFCA",
+/* pixels */
+"&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.&.",
+"&.&.&.&.&.%.%.%.%.%.%.%.%.%.%.%.%.%.%.%.%.%.%.@.@.%.@.&.&.&.&.&.",
+"&.&.&.&.^ I T T E T I K K J G G 8 x 6 5 5 5 4 4 4 4 1 4 %.&.&.&.",
+"&.&.&.%.L %.O.O.@.+.+.+.@.@.+.@.@.@.@.@.@.+.O.O.+.+.%.* @.&.&.&.",
+"&.&.&.%.J +.` ` ` ` o.o.o.o.` o.o.o.o.o.o.o.o.o.o.o.@., %.&.&.&.",
+"&.&.&.%.J +.` ` o.o.` ` ` ` ` o.o.` ` o.` ` o.o.o.o.@., @.&.&.&.",
+"&.&.&.%.G +.o.` o.` ` T T T E T T T ^ T ^ T ^ ^ o.o.@., @.&.&.&.",
+"&.&.&.%.G @.o.` o.o.` T E T T E T T ^ ^ O.O.O.o.o.o.@., @.&.&.&.",
+"&.&.&.%.8 @.o.o.o.o.o.` ` o.o.o.o.o.o.o.O.+.O.O.+.O.@., @.&.&.&.",
+"&.&.&.%.7 @.o.` O.o.( G J G G J L L L L L L L L ^ O.%.* @.&.&.&.",
+"&.&.&.%.x O.o.` o.O.^ j N U U z d f f f f f f f L O.%., @.&.&.&.",
+"&.&.&.%.6 O.o.o.+.o./ k M #.#.Y g h h h f d f f P @.%.* @.&.&.&.",
+"&.&.&.%.5 @.%.O.+.O./ k m ' ' m f p i a > # y f P @.%.* @.&.&.&.",
+"&.&.&.%.5 @.O.o.O.O./ k g m n j x ~ E E E J 2 i P @.%., @.&.&.&.",
+"&.&.&.%.5 %.o.o.@.+.) z b g j E ~ l u q y V | G G @.%.* +.&.&.&.",
+"&.&.&.%.5 @.o.o.+.+.) 3 t 3 ) V + d S Z a O 9 ~ T ) %.* @.&.&.&.",
+"&.&.&.%.4 @.O.O.@.@./ : = L C + F $.$...[ S + O _ I +.* +.&.&.&.",
+"&.&.&.@.4 @.o.o.@.@.( - - Q + g ..X...| ] D w X a ( / * @.&.&.&.",
+"&.&.&.%.< @.o.O.@.@./ ; < C + F |  .| { ] A q o 9 ) K * +.&.&.&.",
+"&.&.&.%.1 @.@.+.@.@.O.^ 8 z s } ..X.$.X...] N g 0 R I % @.&.&.&.",
+"&.&.&.@.1 %.@.@.@.@.O.( 7 x u [  ...X.X.{ D B b r R K % @.&.&.&.",
+"&.&.&.%.1 @.+.O.@.@.) L x R + v ! } { { ! D Z b e ^ J * @.&.&.&.",
+"&.&.&.@.1 @.@.O.@.@./ / J ) 0 d v V D W W D B w k Q E * +.&.&.&.",
+"&.&.&.@.< @.O.O.@.@.` o.K T W 0 f N D D D A d w _ 5 O.* @.&.&.&.",
+"&.&.&.@., @.+.+.@.+.O.@.@.T / W q u c v c s i _ ` , x $ +.&.&.&.",
+"&.&.&.@., %.O.O.O.( I / / T 4 T { V a i l W _ T 7 , % . O.&.&.&.",
+"&.&.&.@., %.@.o./ +.8 7 7 7 6 5 G T / ) ^ Q x 1 , , * @ , O.&.&.",
+"&.&.&.@.* @.O.o.T o.( +.O.o.O.o./ 5 8 ^ / ( %.o., , 1 * $ * o.&.",
+"&.&.&.@.* %.%.O.K K H I K K H G 8 4 T %.&.%.&.%.+.1 * 1 * $ * ( ",
+"&.&.&.%., % $ $ 1 / T T K K 8 7 7 4 * & % % $ & * @   % 1 1 6 G ",
+"&.&.&.&.%.O.@.+.5 , , , , , * * & % 7 +.+.@.@.+.@.@.@.8 , T ( 5 ",
+"&.&.&.&.&.&.&.&.+.T T T I T I I I I %.&.&.&.&.&.&.&.&.&.K , 1 P "
+};