Index: terepaima-0.4.16/moc/moc_mainwindow.cpp
===================================================================
--- terepaima-0.4.16/moc/moc_mainwindow.cpp	(revision 35bdadca1b1b0b73086245cb7830c030f64ce8b6)
+++ terepaima-0.4.16/moc/moc_mainwindow.cpp	(revision 9840ac5809a61dfb917e35751e97821325105b7c)
@@ -20,6 +20,6 @@
 QT_BEGIN_MOC_NAMESPACE
 struct qt_meta_stringdata_qpdfview__MainWindow_t {
-    QByteArrayData data[178];
-    char stringdata0[4106];
+    QByteArrayData data[179];
+    char stringdata0[4135];
 };
 #define QT_MOC_LITERAL(idx, ofs, len) \
@@ -199,13 +199,14 @@
 QT_MOC_LITERAL(167, 3897, 20), // "on_windowCertificate"
 QT_MOC_LITERAL(168, 3918, 20), // "on_selectCertificate"
-QT_MOC_LITERAL(169, 3939, 12), // "on_managePIN"
-QT_MOC_LITERAL(170, 3952, 12), // "on_windowPIN"
-QT_MOC_LITERAL(171, 3965, 1), // "x"
-QT_MOC_LITERAL(172, 3967, 27), // "on_currentChanged_selection"
-QT_MOC_LITERAL(173, 3995, 26), // "on_close_windowCertificate"
-QT_MOC_LITERAL(174, 4022, 18), // "on_close_windowPIN"
-QT_MOC_LITERAL(175, 4041, 16), // "verify_signature"
-QT_MOC_LITERAL(176, 4058, 19), // "QStandardItemModel*"
-QT_MOC_LITERAL(177, 4078, 27) // "view_table_verify_signature"
+QT_MOC_LITERAL(169, 3939, 28), // "on_activateButtonCertificate"
+QT_MOC_LITERAL(170, 3968, 12), // "on_managePIN"
+QT_MOC_LITERAL(171, 3981, 12), // "on_windowPIN"
+QT_MOC_LITERAL(172, 3994, 1), // "x"
+QT_MOC_LITERAL(173, 3996, 27), // "on_currentChanged_selection"
+QT_MOC_LITERAL(174, 4024, 26), // "on_close_windowCertificate"
+QT_MOC_LITERAL(175, 4051, 18), // "on_close_windowPIN"
+QT_MOC_LITERAL(176, 4070, 16), // "verify_signature"
+QT_MOC_LITERAL(177, 4087, 19), // "QStandardItemModel*"
+QT_MOC_LITERAL(178, 4107, 27) // "view_table_verify_signature"
 
     },
@@ -322,6 +323,6 @@
     "on_verify_signature\0on_signature\0"
     "on_windowCertificate\0on_selectCertificate\0"
-    "on_managePIN\0on_windowPIN\0x\0"
-    "on_currentChanged_selection\0"
+    "on_activateButtonCertificate\0on_managePIN\0"
+    "on_windowPIN\0x\0on_currentChanged_selection\0"
     "on_close_windowCertificate\0"
     "on_close_windowPIN\0verify_signature\0"
@@ -336,5 +337,5 @@
        0,       // classname
        0,    0, // classinfo
-     142,   14, // methods
+     143,   14, // methods
        0,    0, // properties
        0,    0, // enums/sets
@@ -344,146 +345,147 @@
 
  // slots: name, argc, parameters, tag, flags
-       1,    0,  724,    2, 0x0a /* Public */,
-       3,    4,  725,    2, 0x0a /* Public */,
-       3,    3,  734,    2, 0x2a /* Public | MethodCloned */,
-       3,    2,  741,    2, 0x2a /* Public | MethodCloned */,
-       3,    1,  746,    2, 0x2a /* Public | MethodCloned */,
-       8,    4,  749,    2, 0x0a /* Public */,
-       8,    3,  758,    2, 0x2a /* Public | MethodCloned */,
-       8,    2,  765,    2, 0x2a /* Public | MethodCloned */,
-       8,    1,  770,    2, 0x2a /* Public | MethodCloned */,
-       9,    5,  773,    2, 0x0a /* Public */,
-       9,    4,  784,    2, 0x2a /* Public | MethodCloned */,
-       9,    3,  793,    2, 0x2a /* Public | MethodCloned */,
-       9,    2,  800,    2, 0x2a /* Public | MethodCloned */,
-       9,    1,  805,    2, 0x2a /* Public | MethodCloned */,
-      11,    1,  808,    2, 0x0a /* Public */,
-      13,    1,  811,    2, 0x09 /* Protected */,
-      15,    1,  814,    2, 0x09 /* Protected */,
-      16,    2,  817,    2, 0x09 /* Protected */,
-      18,    0,  822,    2, 0x09 /* Protected */,
-      19,    0,  823,    2, 0x09 /* Protected */,
-      20,    1,  824,    2, 0x09 /* Protected */,
-      22,    1,  827,    2, 0x09 /* Protected */,
-      24,    2,  830,    2, 0x09 /* Protected */,
-      27,    1,  835,    2, 0x09 /* Protected */,
-      29,    1,  838,    2, 0x09 /* Protected */,
-      32,    1,  841,    2, 0x09 /* Protected */,
-      34,    1,  844,    2, 0x09 /* Protected */,
-      37,    1,  847,    2, 0x09 /* Protected */,
-      39,    1,  850,    2, 0x09 /* Protected */,
-      42,    1,  853,    2, 0x09 /* Protected */,
-      42,    3,  856,    2, 0x09 /* Protected */,
-      44,    1,  863,    2, 0x09 /* Protected */,
-      47,    1,  866,    2, 0x09 /* Protected */,
-      49,    1,  869,    2, 0x09 /* Protected */,
-      51,    1,  872,    2, 0x09 /* Protected */,
-      53,    1,  875,    2, 0x09 /* Protected */,
-      56,    1,  878,    2, 0x09 /* Protected */,
-      58,    1,  881,    2, 0x09 /* Protected */,
-      61,    0,  884,    2, 0x09 /* Protected */,
-      62,    1,  885,    2, 0x09 /* Protected */,
-      64,    1,  888,    2, 0x09 /* Protected */,
-      66,    0,  891,    2, 0x09 /* Protected */,
-      67,    0,  892,    2, 0x09 /* Protected */,
-      68,    1,  893,    2, 0x09 /* Protected */,
-      69,    0,  896,    2, 0x09 /* Protected */,
-      70,    0,  897,    2, 0x09 /* Protected */,
-      71,    0,  898,    2, 0x09 /* Protected */,
-      72,    0,  899,    2, 0x09 /* Protected */,
-      73,    0,  900,    2, 0x09 /* Protected */,
-      74,    0,  901,    2, 0x09 /* Protected */,
-      75,    0,  902,    2, 0x09 /* Protected */,
-      76,    0,  903,    2, 0x09 /* Protected */,
-      77,    0,  904,    2, 0x09 /* Protected */,
-      78,    0,  905,    2, 0x09 /* Protected */,
-      79,    1,  906,    2, 0x09 /* Protected */,
-      80,    0,  909,    2, 0x09 /* Protected */,
-      81,    0,  910,    2, 0x09 /* Protected */,
-      82,    0,  911,    2, 0x09 /* Protected */,
-      83,    0,  912,    2, 0x09 /* Protected */,
-      84,    0,  913,    2, 0x09 /* Protected */,
-      85,    0,  914,    2, 0x09 /* Protected */,
-      86,    0,  915,    2, 0x09 /* Protected */,
-      87,    0,  916,    2, 0x09 /* Protected */,
-      88,    0,  917,    2, 0x09 /* Protected */,
-      89,    0,  918,    2, 0x09 /* Protected */,
-      90,    0,  919,    2, 0x09 /* Protected */,
-      91,    0,  920,    2, 0x09 /* Protected */,
-      92,    1,  921,    2, 0x09 /* Protected */,
-      94,    1,  924,    2, 0x09 /* Protected */,
-      95,    0,  927,    2, 0x09 /* Protected */,
-      96,    1,  928,    2, 0x09 /* Protected */,
-      97,    1,  931,    2, 0x09 /* Protected */,
-      98,    1,  934,    2, 0x09 /* Protected */,
-      99,    1,  937,    2, 0x09 /* Protected */,
-     100,    1,  940,    2, 0x09 /* Protected */,
-     101,    0,  943,    2, 0x09 /* Protected */,
-     102,    0,  944,    2, 0x09 /* Protected */,
-     103,    0,  945,    2, 0x09 /* Protected */,
-     104,    1,  946,    2, 0x09 /* Protected */,
-     105,    1,  949,    2, 0x09 /* Protected */,
-     106,    0,  952,    2, 0x09 /* Protected */,
-     107,    0,  953,    2, 0x09 /* Protected */,
-     108,    1,  954,    2, 0x09 /* Protected */,
-     109,    1,  957,    2, 0x09 /* Protected */,
-     110,    1,  960,    2, 0x09 /* Protected */,
-     111,    1,  963,    2, 0x09 /* Protected */,
-     112,    1,  966,    2, 0x09 /* Protected */,
-     113,    0,  969,    2, 0x09 /* Protected */,
-     114,    1,  970,    2, 0x09 /* Protected */,
-     115,    0,  973,    2, 0x09 /* Protected */,
-     116,    0,  974,    2, 0x09 /* Protected */,
-     117,    0,  975,    2, 0x09 /* Protected */,
-     118,    0,  976,    2, 0x09 /* Protected */,
-     119,    0,  977,    2, 0x09 /* Protected */,
-     120,    0,  978,    2, 0x09 /* Protected */,
-     121,    0,  979,    2, 0x09 /* Protected */,
-     122,    1,  980,    2, 0x09 /* Protected */,
-     125,    0,  983,    2, 0x09 /* Protected */,
-     126,    0,  984,    2, 0x09 /* Protected */,
-     127,    0,  985,    2, 0x09 /* Protected */,
-     128,    0,  986,    2, 0x09 /* Protected */,
-     129,    0,  987,    2, 0x09 /* Protected */,
-     130,    0,  988,    2, 0x09 /* Protected */,
-     131,    0,  989,    2, 0x09 /* Protected */,
-     132,    0,  990,    2, 0x09 /* Protected */,
-     133,    1,  991,    2, 0x09 /* Protected */,
-     135,    1,  994,    2, 0x09 /* Protected */,
-     136,    2,  997,    2, 0x09 /* Protected */,
-     137,    1, 1002,    2, 0x09 /* Protected */,
-     138,    0, 1005,    2, 0x09 /* Protected */,
-     139,    0, 1006,    2, 0x09 /* Protected */,
-     140,    0, 1007,    2, 0x09 /* Protected */,
-     141,    0, 1008,    2, 0x09 /* Protected */,
-     142,    1, 1009,    2, 0x09 /* Protected */,
-     143,    1, 1012,    2, 0x09 /* Protected */,
-     144,    2, 1015,    2, 0x09 /* Protected */,
-     146,    1, 1020,    2, 0x09 /* Protected */,
-     147,    1, 1023,    2, 0x09 /* Protected */,
-     150,    0, 1026,    2, 0x09 /* Protected */,
-     151,    1, 1027,    2, 0x09 /* Protected */,
-     152,    0, 1030,    2, 0x09 /* Protected */,
-     153,    0, 1031,    2, 0x09 /* Protected */,
-     154,    1, 1032,    2, 0x09 /* Protected */,
-     155,    1, 1035,    2, 0x09 /* Protected */,
-     157,    0, 1038,    2, 0x09 /* Protected */,
-     158,    1, 1039,    2, 0x09 /* Protected */,
-     159,    1, 1042,    2, 0x09 /* Protected */,
-     160,    0, 1045,    2, 0x09 /* Protected */,
-     161,    1, 1046,    2, 0x09 /* Protected */,
-     163,    1, 1049,    2, 0x09 /* Protected */,
-     164,    0, 1052,    2, 0x09 /* Protected */,
-     165,    0, 1053,    2, 0x09 /* Protected */,
-     166,    0, 1054,    2, 0x09 /* Protected */,
-     167,    0, 1055,    2, 0x09 /* Protected */,
-     168,    0, 1056,    2, 0x09 /* Protected */,
-     169,    0, 1057,    2, 0x09 /* Protected */,
-     170,    1, 1058,    2, 0x09 /* Protected */,
-     172,    0, 1061,    2, 0x09 /* Protected */,
-     173,    0, 1062,    2, 0x09 /* Protected */,
-     174,    0, 1063,    2, 0x09 /* Protected */,
-     175,    0, 1064,    2, 0x09 /* Protected */,
-     177,    0, 1065,    2, 0x09 /* Protected */,
+       1,    0,  729,    2, 0x0a /* Public */,
+       3,    4,  730,    2, 0x0a /* Public */,
+       3,    3,  739,    2, 0x2a /* Public | MethodCloned */,
+       3,    2,  746,    2, 0x2a /* Public | MethodCloned */,
+       3,    1,  751,    2, 0x2a /* Public | MethodCloned */,
+       8,    4,  754,    2, 0x0a /* Public */,
+       8,    3,  763,    2, 0x2a /* Public | MethodCloned */,
+       8,    2,  770,    2, 0x2a /* Public | MethodCloned */,
+       8,    1,  775,    2, 0x2a /* Public | MethodCloned */,
+       9,    5,  778,    2, 0x0a /* Public */,
+       9,    4,  789,    2, 0x2a /* Public | MethodCloned */,
+       9,    3,  798,    2, 0x2a /* Public | MethodCloned */,
+       9,    2,  805,    2, 0x2a /* Public | MethodCloned */,
+       9,    1,  810,    2, 0x2a /* Public | MethodCloned */,
+      11,    1,  813,    2, 0x0a /* Public */,
+      13,    1,  816,    2, 0x09 /* Protected */,
+      15,    1,  819,    2, 0x09 /* Protected */,
+      16,    2,  822,    2, 0x09 /* Protected */,
+      18,    0,  827,    2, 0x09 /* Protected */,
+      19,    0,  828,    2, 0x09 /* Protected */,
+      20,    1,  829,    2, 0x09 /* Protected */,
+      22,    1,  832,    2, 0x09 /* Protected */,
+      24,    2,  835,    2, 0x09 /* Protected */,
+      27,    1,  840,    2, 0x09 /* Protected */,
+      29,    1,  843,    2, 0x09 /* Protected */,
+      32,    1,  846,    2, 0x09 /* Protected */,
+      34,    1,  849,    2, 0x09 /* Protected */,
+      37,    1,  852,    2, 0x09 /* Protected */,
+      39,    1,  855,    2, 0x09 /* Protected */,
+      42,    1,  858,    2, 0x09 /* Protected */,
+      42,    3,  861,    2, 0x09 /* Protected */,
+      44,    1,  868,    2, 0x09 /* Protected */,
+      47,    1,  871,    2, 0x09 /* Protected */,
+      49,    1,  874,    2, 0x09 /* Protected */,
+      51,    1,  877,    2, 0x09 /* Protected */,
+      53,    1,  880,    2, 0x09 /* Protected */,
+      56,    1,  883,    2, 0x09 /* Protected */,
+      58,    1,  886,    2, 0x09 /* Protected */,
+      61,    0,  889,    2, 0x09 /* Protected */,
+      62,    1,  890,    2, 0x09 /* Protected */,
+      64,    1,  893,    2, 0x09 /* Protected */,
+      66,    0,  896,    2, 0x09 /* Protected */,
+      67,    0,  897,    2, 0x09 /* Protected */,
+      68,    1,  898,    2, 0x09 /* Protected */,
+      69,    0,  901,    2, 0x09 /* Protected */,
+      70,    0,  902,    2, 0x09 /* Protected */,
+      71,    0,  903,    2, 0x09 /* Protected */,
+      72,    0,  904,    2, 0x09 /* Protected */,
+      73,    0,  905,    2, 0x09 /* Protected */,
+      74,    0,  906,    2, 0x09 /* Protected */,
+      75,    0,  907,    2, 0x09 /* Protected */,
+      76,    0,  908,    2, 0x09 /* Protected */,
+      77,    0,  909,    2, 0x09 /* Protected */,
+      78,    0,  910,    2, 0x09 /* Protected */,
+      79,    1,  911,    2, 0x09 /* Protected */,
+      80,    0,  914,    2, 0x09 /* Protected */,
+      81,    0,  915,    2, 0x09 /* Protected */,
+      82,    0,  916,    2, 0x09 /* Protected */,
+      83,    0,  917,    2, 0x09 /* Protected */,
+      84,    0,  918,    2, 0x09 /* Protected */,
+      85,    0,  919,    2, 0x09 /* Protected */,
+      86,    0,  920,    2, 0x09 /* Protected */,
+      87,    0,  921,    2, 0x09 /* Protected */,
+      88,    0,  922,    2, 0x09 /* Protected */,
+      89,    0,  923,    2, 0x09 /* Protected */,
+      90,    0,  924,    2, 0x09 /* Protected */,
+      91,    0,  925,    2, 0x09 /* Protected */,
+      92,    1,  926,    2, 0x09 /* Protected */,
+      94,    1,  929,    2, 0x09 /* Protected */,
+      95,    0,  932,    2, 0x09 /* Protected */,
+      96,    1,  933,    2, 0x09 /* Protected */,
+      97,    1,  936,    2, 0x09 /* Protected */,
+      98,    1,  939,    2, 0x09 /* Protected */,
+      99,    1,  942,    2, 0x09 /* Protected */,
+     100,    1,  945,    2, 0x09 /* Protected */,
+     101,    0,  948,    2, 0x09 /* Protected */,
+     102,    0,  949,    2, 0x09 /* Protected */,
+     103,    0,  950,    2, 0x09 /* Protected */,
+     104,    1,  951,    2, 0x09 /* Protected */,
+     105,    1,  954,    2, 0x09 /* Protected */,
+     106,    0,  957,    2, 0x09 /* Protected */,
+     107,    0,  958,    2, 0x09 /* Protected */,
+     108,    1,  959,    2, 0x09 /* Protected */,
+     109,    1,  962,    2, 0x09 /* Protected */,
+     110,    1,  965,    2, 0x09 /* Protected */,
+     111,    1,  968,    2, 0x09 /* Protected */,
+     112,    1,  971,    2, 0x09 /* Protected */,
+     113,    0,  974,    2, 0x09 /* Protected */,
+     114,    1,  975,    2, 0x09 /* Protected */,
+     115,    0,  978,    2, 0x09 /* Protected */,
+     116,    0,  979,    2, 0x09 /* Protected */,
+     117,    0,  980,    2, 0x09 /* Protected */,
+     118,    0,  981,    2, 0x09 /* Protected */,
+     119,    0,  982,    2, 0x09 /* Protected */,
+     120,    0,  983,    2, 0x09 /* Protected */,
+     121,    0,  984,    2, 0x09 /* Protected */,
+     122,    1,  985,    2, 0x09 /* Protected */,
+     125,    0,  988,    2, 0x09 /* Protected */,
+     126,    0,  989,    2, 0x09 /* Protected */,
+     127,    0,  990,    2, 0x09 /* Protected */,
+     128,    0,  991,    2, 0x09 /* Protected */,
+     129,    0,  992,    2, 0x09 /* Protected */,
+     130,    0,  993,    2, 0x09 /* Protected */,
+     131,    0,  994,    2, 0x09 /* Protected */,
+     132,    0,  995,    2, 0x09 /* Protected */,
+     133,    1,  996,    2, 0x09 /* Protected */,
+     135,    1,  999,    2, 0x09 /* Protected */,
+     136,    2, 1002,    2, 0x09 /* Protected */,
+     137,    1, 1007,    2, 0x09 /* Protected */,
+     138,    0, 1010,    2, 0x09 /* Protected */,
+     139,    0, 1011,    2, 0x09 /* Protected */,
+     140,    0, 1012,    2, 0x09 /* Protected */,
+     141,    0, 1013,    2, 0x09 /* Protected */,
+     142,    1, 1014,    2, 0x09 /* Protected */,
+     143,    1, 1017,    2, 0x09 /* Protected */,
+     144,    2, 1020,    2, 0x09 /* Protected */,
+     146,    1, 1025,    2, 0x09 /* Protected */,
+     147,    1, 1028,    2, 0x09 /* Protected */,
+     150,    0, 1031,    2, 0x09 /* Protected */,
+     151,    1, 1032,    2, 0x09 /* Protected */,
+     152,    0, 1035,    2, 0x09 /* Protected */,
+     153,    0, 1036,    2, 0x09 /* Protected */,
+     154,    1, 1037,    2, 0x09 /* Protected */,
+     155,    1, 1040,    2, 0x09 /* Protected */,
+     157,    0, 1043,    2, 0x09 /* Protected */,
+     158,    1, 1044,    2, 0x09 /* Protected */,
+     159,    1, 1047,    2, 0x09 /* Protected */,
+     160,    0, 1050,    2, 0x09 /* Protected */,
+     161,    1, 1051,    2, 0x09 /* Protected */,
+     163,    1, 1054,    2, 0x09 /* Protected */,
+     164,    0, 1057,    2, 0x09 /* Protected */,
+     165,    0, 1058,    2, 0x09 /* Protected */,
+     166,    0, 1059,    2, 0x09 /* Protected */,
+     167,    0, 1060,    2, 0x09 /* Protected */,
+     168,    0, 1061,    2, 0x09 /* Protected */,
+     169,    0, 1062,    2, 0x09 /* Protected */,
+     170,    0, 1063,    2, 0x09 /* Protected */,
+     171,    1, 1064,    2, 0x09 /* Protected */,
+     173,    0, 1067,    2, 0x09 /* Protected */,
+     174,    0, 1068,    2, 0x09 /* Protected */,
+     175,    0, 1069,    2, 0x09 /* Protected */,
+     176,    0, 1070,    2, 0x09 /* Protected */,
+     178,    0, 1071,    2, 0x09 /* Protected */,
 
  // slots: parameters
@@ -624,10 +626,11 @@
     QMetaType::Void,
     QMetaType::Void,
-    QMetaType::Void, QMetaType::Int,  171,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    0x80000000 | 176,
-    0x80000000 | 176,
+    QMetaType::Void,
+    QMetaType::Void, QMetaType::Int,  172,
+    QMetaType::Void,
+    QMetaType::Void,
+    QMetaType::Void,
+    0x80000000 | 177,
+    0x80000000 | 177,
 
        0        // eod
@@ -788,12 +791,13 @@
         case 133: _t->on_windowCertificate(); break;
         case 134: _t->on_selectCertificate(); break;
-        case 135: _t->on_managePIN(); break;
-        case 136: _t->on_windowPIN((*reinterpret_cast< int(*)>(_a[1]))); break;
-        case 137: _t->on_currentChanged_selection(); break;
-        case 138: _t->on_close_windowCertificate(); break;
-        case 139: _t->on_close_windowPIN(); break;
-        case 140: { QStandardItemModel* _r = _t->verify_signature();
+        case 135: _t->on_activateButtonCertificate(); break;
+        case 136: _t->on_managePIN(); break;
+        case 137: _t->on_windowPIN((*reinterpret_cast< int(*)>(_a[1]))); break;
+        case 138: _t->on_currentChanged_selection(); break;
+        case 139: _t->on_close_windowCertificate(); break;
+        case 140: _t->on_close_windowPIN(); break;
+        case 141: { QStandardItemModel* _r = _t->verify_signature();
             if (_a[0]) *reinterpret_cast< QStandardItemModel**>(_a[0]) = _r; }  break;
-        case 141: { QStandardItemModel* _r = _t->view_table_verify_signature();
+        case 142: { QStandardItemModel* _r = _t->view_table_verify_signature();
             if (_a[0]) *reinterpret_cast< QStandardItemModel**>(_a[0]) = _r; }  break;
         default: ;
@@ -827,11 +831,11 @@
         return _id;
     if (_c == QMetaObject::InvokeMetaMethod) {
-        if (_id < 142)
+        if (_id < 143)
             qt_static_metacall(this, _c, _id, _a);
-        _id -= 142;
+        _id -= 143;
     } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 142)
+        if (_id < 143)
             *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 142;
+        _id -= 143;
     }
     return _id;
Index: terepaima-0.4.16/sources/mainwindow.cpp
===================================================================
--- terepaima-0.4.16/sources/mainwindow.cpp	(revision 35bdadca1b1b0b73086245cb7830c030f64ce8b6)
+++ terepaima-0.4.16/sources/mainwindow.cpp	(revision 9840ac5809a61dfb917e35751e97821325105b7c)
@@ -4097,5 +4097,5 @@
 
         m_CbotonAceptar = new QPushButton("Aceptar");
-        //m_CbotonAceptar->setDisabled(true);
+        m_CbotonAceptar->setDisabled(true);
         m_CbotonCancelar = new QPushButton("Cancelar");
 
@@ -4116,4 +4116,5 @@
         connect(m_CbotonCancelar, SIGNAL(clicked()),this,SLOT(on_close_windowCertificate()));
         connect(m_CbotonAceptar, SIGNAL(clicked()),this,SLOT(on_selectCertificate()));
+        connect(m_listCertificate, SIGNAL(clicked(QModelIndex)),this,SLOT(on_activateButtonCertificate()));
         m_certificate->exec();
 
@@ -4139,4 +4140,9 @@
 }
 
+void MainWindow::on_activateButtonCertificate() {
+    qDebug("*** on_activateButtonCertificate ***");
+    m_CbotonAceptar->setDisabled(false);
+}
+
 void MainWindow::on_close_windowCertificate() {
     qDebug("** on_close_windowCertificate() **");
Index: terepaima-0.4.16/sources/mainwindow.h
===================================================================
--- terepaima-0.4.16/sources/mainwindow.h	(revision 35bdadca1b1b0b73086245cb7830c030f64ce8b6)
+++ terepaima-0.4.16/sources/mainwindow.h	(revision 9840ac5809a61dfb917e35751e97821325105b7c)
@@ -275,4 +275,5 @@
     void on_windowCertificate();
     void on_selectCertificate();
+    void on_activateButtonCertificate();
 
     void on_managePIN();