Index: terepaima-0.4.16/debian/qpdfview-djvu-plugin.debhelper.log
===================================================================
--- terepaima-0.4.16/debian/qpdfview-djvu-plugin.debhelper.log	(revision b93ceb8ab20e6e24e236c7fd5604ef51133d7dcb)
+++ terepaima-0.4.16/debian/qpdfview-djvu-plugin.debhelper.log	(revision 866313070622cbc76f1e0a96acbfb46b155c6507)
@@ -8,4 +8,5 @@
 override_dh_installchangelogs dh_installchangelogs
 dh_installchangelogs
+dh_installman
 dh_installmenu
 dh_installmime
Index: terepaima-0.4.16/debian/qpdfview-ps-plugin.debhelper.log
===================================================================
--- terepaima-0.4.16/debian/qpdfview-ps-plugin.debhelper.log	(revision b93ceb8ab20e6e24e236c7fd5604ef51133d7dcb)
+++ terepaima-0.4.16/debian/qpdfview-ps-plugin.debhelper.log	(revision 866313070622cbc76f1e0a96acbfb46b155c6507)
@@ -8,4 +8,5 @@
 override_dh_installchangelogs dh_installchangelogs
 dh_installchangelogs
+dh_installman
 dh_installmenu
 dh_installmime
Index: terepaima-0.4.16/debian/terepaima.debhelper.log
===================================================================
--- terepaima-0.4.16/debian/terepaima.debhelper.log	(revision b93ceb8ab20e6e24e236c7fd5604ef51133d7dcb)
+++ terepaima-0.4.16/debian/terepaima.debhelper.log	(revision 866313070622cbc76f1e0a96acbfb46b155c6507)
@@ -8,4 +8,5 @@
 override_dh_installchangelogs dh_installchangelogs
 dh_installchangelogs
+dh_installman
 dh_installmenu
 dh_installmime
Index: terepaima-0.4.16/debian/terepaima.install
===================================================================
--- terepaima-0.4.16/debian/terepaima.install	(revision 56d648b00e1bfb287e63cb9bd89a39e31b0d297e)
+++ terepaima-0.4.16/debian/terepaima.install	(revision 866313070622cbc76f1e0a96acbfb46b155c6507)
@@ -11,2 +11,3 @@
 translations/qpdfview_*.qm usr/share/terepaima
 help/help_* usr/share/terepaima
+miscellaneous/terepaima.1 usr/share/man/man1
Index: terepaima-0.4.16/debian/terepaima.menu
===================================================================
--- terepaima-0.4.16/debian/terepaima.menu	(revision df2805f3164a85e2e36715ee280b62d72beac60b)
+++ terepaima-0.4.16/debian/terepaima.menu	(revision 866313070622cbc76f1e0a96acbfb46b155c6507)
@@ -3,4 +3,4 @@
         section="Applications/Office" \
         title="Terepaima" \
-        command="/usb/bin/terepaima" \
+        command="terepaima" \
         icon="/usr/share/terepaima/terepaima.xpm"
Index: terepaima-0.4.16/debian/terepaima/DEBIAN/control
===================================================================
--- terepaima-0.4.16/debian/terepaima/DEBIAN/control	(revision 56d648b00e1bfb287e63cb9bd89a39e31b0d297e)
+++ terepaima-0.4.16/debian/terepaima/DEBIAN/control	(revision 866313070622cbc76f1e0a96acbfb46b155c6507)
@@ -3,5 +3,5 @@
 Architecture: amd64
 Maintainer: Argenis Osorio (dM) <aosorio@cenditel.gob.ve>
-Installed-Size: 6313
+Installed-Size: 6324
 Depends: libc6 (>= 2.14), libcups2 (>= 1.4.0), libdjvulibre21 (>= 3.5.25.4), libfontconfig1 (>= 2.11), libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1), libgl1-mesa-glx | libgl1, libjpeg62-turbo (>= 1.3.1), libnspr4 (>= 2:4.9-2~), libnss3 (>= 2:3.16), libopenjpeg5 (>= 1.3+dfsg), libpng12-0 (>= 1.2.13-4), libqt5concurrent5 (>= 5.0.2), libqt5core5a (>= 5.3.1), libqt5dbus5 (>= 5.0.2), libqt5gui5 (>= 5.2.0), libqt5printsupport5 (>= 5.0.2), libqt5sql5 (>= 5.0.2), libqt5svg5 (>= 5.0.2), libqt5widgets5 (>= 5.2.0), libqt5xml5 (>= 5.0.2), libspectre1 (>= 0.2.3), libstdc++6 (>= 4.9), libtiff5 (>= 4.0.3), zlib1g (>= 1:1.2.3.4), libqt5sql5-sqlite, hicolor-icon-theme
 Recommends: qpdfview-djvu-plugin (= 0.4.16-1), qpdfview-ps-plugin (= 0.4.16-1), qpdfview-translations (= 0.4.16-1)
Index: terepaima-0.4.16/debian/terepaima/DEBIAN/md5sums
===================================================================
--- terepaima-0.4.16/debian/terepaima/DEBIAN/md5sums	(revision 1cb29228449e9e1fce799247438b3be95badc9d2)
+++ terepaima-0.4.16/debian/terepaima/DEBIAN/md5sums	(revision 866313070622cbc76f1e0a96acbfb46b155c6507)
@@ -12,5 +12,6 @@
 3ca95da6e5b01492f2f9627aa0a5aac9  usr/share/doc/terepaima/copyright
 e66a626f5a5bf6b5463cdb10ef074f46  usr/share/icons/hicolor/scalable/apps/terepaima.svg
-14a7a9888c293d3e3e2a5f513f79a106  usr/share/menu/terepaima
+c9b39d83b2bf4a475897755872b82096  usr/share/man/man1/terepaima.1.gz
+db6b357e5616eeac825daceabcc28d6f  usr/share/menu/terepaima
 f5e7144b0f7259b111949c1a6822561c  usr/share/terepaima/help_az.html
 43e80e6df89d086dd0bc7d914a228d94  usr/share/terepaima/help_bg.html
Index: terepaima-0.4.16/debian/terepaima/usr/share/menu/terepaima
===================================================================
--- terepaima-0.4.16/debian/terepaima/usr/share/menu/terepaima	(revision df2805f3164a85e2e36715ee280b62d72beac60b)
+++ terepaima-0.4.16/debian/terepaima/usr/share/menu/terepaima	(revision 866313070622cbc76f1e0a96acbfb46b155c6507)
@@ -3,4 +3,4 @@
         section="Applications/Office" \
         title="Terepaima" \
-        command="/usb/bin/terepaima" \
+        command="terepaima" \
         icon="/usr/share/terepaima/terepaima.xpm"
Index: terepaima-0.4.16/miscellaneous/terepaima.1
===================================================================
--- terepaima-0.4.16/miscellaneous/terepaima.1	(revision 866313070622cbc76f1e0a96acbfb46b155c6507)
+++ terepaima-0.4.16/miscellaneous/terepaima.1	(revision 866313070622cbc76f1e0a96acbfb46b155c6507)
@@ -0,0 +1,184 @@
+.\" 
+.\" 
+.\" Copyright 2012-2013 Benjamin Eltzner
+.\" Copyright 2012-2015 Adam Reichold
+.\" Copyright 2012 Michał Trybus
+.\" 
+.\" This file is part of qpdfview.
+.\" 
+.\" qpdfview is free software: you can redistribute it and/or modify
+.\" it under the terms of the GNU General Public License as published by
+.\" the Free Software Foundation, either version 2 of the License, or
+.\" (at your option) any later version.
+.\" 
+.\" qpdfview is distributed in the hope that it will be useful,
+.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
+.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+.\" GNU General Public License for more details.
+.\" 
+.\" You should have received a copy of the GNU General Public License
+.\" along with qpdfview.  If not, see <http://www.gnu.org/licenses/>.
+.\"
+.\" This file is additionally licensed under the Creative Commons Attribution-ShareAlike 3.0 Unported (CC-BY-SA) license. The full text of the license can be found at https://creativecommons.org/licenses/by-sa/3.0/legalcode
+.\" 
+.\"
+.TH TEREPAIMA 1 "November 2016"
+.SH NAME
+terepaima \- Visor de documentos PDF con firma electrónica
+.SH SYNOPSIS
+.B terepaima
+.I [options] [--] [file[#page]] [file[#src:name:line:column]] ...
+.SH DESCRIPTION
+.B terepaima
+es un visor de documentos PDF con firma electrónica basado en qpdfview, desarrollado en Qt y la biblioteca Poppler.
+.SH OPTIONS
+.IP "\-\-help"
+Displays usage information.
+.IP "\-\-quiet"
+Suppresses warning messages which are displayed if the program fails to open a file.
+.IP "\-\-search text"
+Initiates a search for
+.I text
+in the current tab.
+.IP \-\-unique
+If an instance of qpdfview is started with this option, any files that are opened using this option afterwards, are opened as tabs in the original window. If a file is already opened in a tab of the original window, it is merely reloaded.
+.IP "\-\-instance name"
+Uses
+.I name
+as the name of the instance contacted or created using the "\-\-unique" option. This allows one to run multiple instances and remotely open and refresh tabs in any of them by passing the instance name. The argument must only contain the characters "[A-Z][a-z][0-9]_" and must not begin with a digit.
+.IP "\-\-choose-instance"
+Can be combined with the "\-\-unique" option to display a dialog at start-up where the instance name can be chosen with all instances that have tabs stored as suggestions.
+.IP [file[#page]]
+.I file
+specifies the file to open. The optional parameter
+.I page
+opens the file at the given page. Multiple files will be opened in separate tabs.
+.IP [file[#src:name:line:column]]
+Forward search using SyncTeX is performed using the optional parameters
+.I name
+which is the name of the source file,
+.I line
+which is the line number in the source file and
+.I column
+which is the column number in the source file where the number 0 matches all lines respectively columns.
+.SH INTER-PROCESS COMMUNICATION
+If the program is invoked using the "\-\-unique" option, it registers an introspectable D-Bus interface at "local.qpdfview/MainWindow" which can be used to communicate with the application. If the "\-\-instance" option is used, the D-Bus interface is registered at "local.qpdfview.name/MainWindow".
+.SH CONFIGURATION FILES
+qpdfview uses configuration files usually located at
+.RS
+"~/.config/qpdfview"
+.RE
+with the majority of settings contained in "qpdfview.conf".
+
+Persitent state like per-file settings, bookmarks and tabs is stored in an SQLite database usually located at
+.RS
+"~/.local/share/data/qpdfview/qpdfview".
+.RE
+
+The icon theme used by Qt can be changed by setting the key "iconTheme" in the section "mainWindow". The application-wide Qt style sheet can be changed by setting the key "styleSheet" in the section "mainWindow".
+
+The tile size in pixels used for tiled rendering can be adjusted by setting the key "tileSize" in the section "pageItem". The default value is 1024 pixels.
+
+The mimimum resp. maximum scale factor can be modified by changing the keys "minimumScaleFactor" resp. "maximumScaleFactor" in the section "documentView". The default values are 0.1 resp. 10.0.
+
+The timeout for auto-refresh resp. prefetch can be changed by setting the keys "autoRefreshTimeout" resp. "prefetchTimeout" in the section "documentView". The defaults are 750 resp. 250 milliseconds.
+
+The maximum number of per-file settings can be modified by changing the key "perFileSettingsLimit" in the section "mainWindow". The default value is 1000.
+.SH EXAMPLES
+.RS
+The command
+.RE
+.B terepaima foo.pdf#3 bar.pdf
+.RS
+opens "foo.pdf" in the first tab displaying the third page of the document and "bar.pdf" in the second tab displaying the beginning of the document.
+
+The command
+.RE
+.B terepaima \-\-quiet foobar/*
+.RS
+opens all files that can be opened in the directory "foobar", suppressing warning messages for files that cannot be opened.
+
+The command
+.RE
+.B terepaima \-\-search foo bar.pdf
+.RS
+opens "bar.pdf" in the first tab and starts a search for "foo".
+
+Subsequent execution of the commands
+.RE
+.B terepaima \-\-unique foo.pdf bar.pdf
+.RS
+and
+.RE
+.B terepaima \-\-unique foo.pdf#5
+.RS
+opens "foo.pdf" and "bar.pdf", then reloads "foo.pdf" and displays its fifth page.
+
+Subsequent execution of the commands
+.RE
+.B terepaima \-\-unique foo.pdf
+.RS
+and
+.RE
+.B terepaima bar.pdf
+.RS
+and
+.RE
+.B terepaima \-\-unique foo1.pdf bar1.pdf
+.RS
+opens "foo.pdf" in the first window, "bar.pdf" in a second window and then "foo1.pdf" and "bar1.pdf" in additional tabs in the first window.
+
+Subsequent execution of the commands
+.RE
+.B terepaima \-\-unique \-\-instance a foo1.pdf bar1.pdf
+.RS
+and
+.RE
+.B terepaima \-\-unique \-\-instance b foo2.pdf bar2.pdf
+.RS
+and
+.RE
+.B terepaima \-\-unique foo3.pdf bar3.pdf
+.RS
+and
+.RE
+.B terepaima \-\-unique \-\-instance a foo1.pdf#4 bar4.pdf
+.RS
+opens "foo1.pdf" and "bar1.pdf" in the first window, "foo2.pdf" and "bar2.pdf" in the second window, "foo3.pdf" and "bar3.pdf" in the third window and then reloads "foo1.pdf" and displays its fourth page and opens "bar4.pdf" in an additional tab in the first window.
+
+Subsequent execution of the commands
+.RE
+.B terepaima \-\-unique \-\-instance a foo.pdf bar.pdf
+.RS
+and
+.RE
+.B terepaima \-\-unique \-\-instance a \-\-search "foobar"
+.RS
+opens "foo.pdf" and "bar.pdf" in a window and then starts a search for the term "foobar" in the document in the active tab (which is the last opened "bar.pdf").
+
+The command
+.RE
+.B terepaima \-\-unique foobar.pdf#src:foobar.tex:42:0
+.RS
+opens or refreshes "foobar.pdf" jumping to and highlighting the position that corresponds to line 42 of the source file "foobar.tex".
+
+The lines
+.RE
+.B [documentView]
+.RS
+.RE
+.B autoRefreshTimeout=1250
+.RS
+.RE
+.B [mainWindow]
+.RS
+.RE
+.B styleSheet="QTabBar::tab { max-width: 150px; }"
+.RS
+will configure the auto-refresh timeout to 1250 milliseconds and the change the maximum tab width to 150 pixel.
+
+.SH BUGS
+If you find a bug, please report it at
+.RS
+"https://launchpad.net/qpdfview".
+.RE